package tools.descartes.dml.mm.adaptation.provider;

import org.eclipse.emf.common.notify.AdapterFactory;

import tools.descartes.dml.mm.adaptation.AdaptationActionOperation;
import tools.descartes.dml.mm.adaptation.AdaptationDirection;
import tools.descartes.dml.mm.adaptation.AdaptationScope;

public class AdaptationActionOperationItemProviderExtension extends AdaptationActionOperationItemProvider {

    public AdaptationActionOperationItemProviderExtension(AdapterFactory adapterFactory) {
        super(adapterFactory);
    }

    @Override
    public String getText(Object object) {
        AdaptationScope scopeLabelValue = ((AdaptationActionOperation)object).getAdaptationOperationScope();
        AdaptationDirection directionLabelValue = ((AdaptationActionOperation)object).getAdaptationOperationDirection();
        
        String label;
        if (scopeLabelValue == null || directionLabelValue == null)
            label = null;
        else
            label = directionLabelValue.toString() + ", " + scopeLabelValue.toString();
        
        return label == null || label.length() == 0 ?
            getString("_UI_AdaptationActionOperation_type") :
            getString("_UI_AdaptationActionOperation_type") + " " + label;
    }
    
}
