package tools.descartes.dml.mm.applicationlevel.functions.util.tests;

import org.junit.Assert;
import org.junit.Test;

import tools.descartes.dml.mm.applicationlevel.functions.RandomVariable;
import tools.descartes.dml.mm.applicationlevel.functions.util.RandomVariableHelper;

public class ReplayMeanTest extends AbstractRandomVariableHelperTest {

	@Test
	public void replayFileUnaryTest() {
		RandomVariable randomVariable = loadModel("testfiles/replay-unary.functions", RandomVariable.class);
		Assert.assertEquals(10, RandomVariableHelper.getNumericalMean(randomVariable.getProbFunction()), 0.0001);
	}

	@Test
	public void replayFileSequenceTest() {
		RandomVariable randomVariable = loadModel("testfiles/replay-sequence.functions", RandomVariable.class);
		Assert.assertEquals(-4.89, RandomVariableHelper.getNumericalMean(randomVariable.getProbFunction()), 0.01);
	}
}
