package tools.descartes.dml.mm.applicationlevel.functions.commands;

import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;

import tools.descartes.dml.mm.applicationlevel.functions.RandomVariable;
import tools.descartes.dml.mm.applicationlevel.functions.util.RandomVariableHelper;

public class CalculateMeanCommand extends AbstractRandomVariableCommand {

	@Override
	public Object execute(ExecutionEvent event) throws ExecutionException {
		RandomVariable var = extractRandomVar(event);
		try {
			double d = RandomVariableHelper.getNumericalMean(var.getProbFunction());
			displayString("The mean of the selected RandomVariable is " + d, "Calculate Mean");
		} catch (Exception e) {
			displayString(e.getMessage(), "Error");
		}
		return null;
	}

}
